> ## Documentation Index
> Fetch the complete documentation index at: https://api.quizrise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Quiz Tag API

> Delete an existing tag from the system



## OpenAPI

````yaml DELETE /tags/{tagId}
openapi: 3.0.1
info:
  license:
    name: MIT
  title: QuizRise API
  version: 1.0.0
  description: API for managing quizzes, questions, and related operations
servers:
  - url: https://app.quizrise.com/api/v1
security:
  - bearerAuth: []
paths:
  /tags/{tagId}:
    delete:
      summary: Delete a tag
      description: >-
        Deletes a tag by its ID. Requires authentication and classroom
        ownership.
      parameters:
        - name: tagId
          in: path
          required: true
          schema:
            type: string
          description: The ID of the tag to delete
      responses:
        '200':
          description: Tag deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  message:
                    type: string
                    example: Tag deleted successfully
        '400':
          description: Invalid tag ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    example: Invalid tag ID
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
        '404':
          description: Tag not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    example: Tag not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    example: Failed to delete tag.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````